#pragma once
#include "building.h"   
#include "string"

class House : public Building{
    private:
        bool isHistorical;
    public:
        House(int constructionYear, bool isHistorical);
        ~House()=default;
        bool mustBeRestored() override;
        bool canBeDemolished() override;
        std::string toString() override;
};
